minor fixes
authorIan Kelling <iank@fsf.org>
Mon, 22 Jan 2018 01:53:40 +0000 (20:53 -0500)
committerIan Kelling <iank@fsf.org>
Mon, 22 Jan 2018 01:53:40 +0000 (20:53 -0500)
emacs
tor-browser

diff --git a/emacs b/emacs
index 350f9bac55e928149bfb6b183d0255f9db9b016b..b9b012ea363fd3abb7c1da7c1bdc95b800e88b84 100755 (executable)
--- a/emacs
+++ b/emacs
@@ -18,10 +18,7 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?"' ERR
 
 #set -x
 # arg = git commit to check out
-# -r = don't recompile from scratch
-# -u = update sources
 
-# stop if any the command fails
 update=false
 recompile=true
 
@@ -39,7 +36,8 @@ e() { echo "$*"; "$@"; }
 export CFLAGS="-Og -g3"
 
 # gawk and attr were no longer automatically installed in stretch
-logq pi texlive hunspell git gawk attr
+pi eatmydata
+logq sudo eatmydata apt-get -y install --purge --auto-remove texlive hunspell git gawk attr
 case $(distro-name) in
     fedora )
         # before i learned the builddep command, i identified these
@@ -49,7 +47,7 @@ case $(distro-name) in
         logq s yum-builddep -y emacs
         logq pi texlive-dvipng
         ;;&
-    debian|ubuntu)
+    debian|ubuntu|trisquel)
                # todo: unknown for other distros, this will fail
         logq p -y build-dep maildir-utils
 # due to autogen error message
@@ -80,10 +78,11 @@ esac
 #building emacs, INSTALL.BZR
 
 #git repo
-dir=/a/opt/emacs-`distro-name``debian-archive`
+dir=/a/opt/emacs-`distro-name`
+dir+=`debian-archive` ||: # we may not be on debian
 
 if [[ ! -e $dir ]]; then
-    e cp -r /a/opt/emacs $dir
+    e cp -ar /a/opt/emacs $dir
     recompile=true
 fi
 e cd $dir
@@ -104,7 +103,7 @@ if $recompile; then
     fi
 
     # autogen is usually only for the first build, assume it works
-    logq ./autogen.sh
+    logq ./autogen.sh all
     # I tried changing O2 to O3, don't know if it made it faster or slower so I went back to 02.
     # Also, link-time-optimization based on ./INSTALL
 
@@ -119,7 +118,7 @@ if $recompile; then
 fi
 
 # temporarily for testing multiple versions
-
+logq make -j `nproc`
 logq sudo make install
 
 # make emacs always work for root
index 518d8a99e820ad0cebb78f660d54b751b8dfc994..f9a6e45bbf2c7faac604fc72810ce0e6d6d9a1a5 100755 (executable)
@@ -19,9 +19,14 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?"' ERR
 
 # stable version is shown on:
 # https://dist.torproject.org/torbrowser/
+# except sometimes you get a new stable before it's
+# officially released, which is ok by me. for example,
+# right now, it has 6.5.2, but stable is 6.5.1.
+# we exclude verions with letters, as that seems to
+# be a relatively reliable indication of alpha/beta releases.
 
 ver=$(curl -s https://dist.torproject.org/torbrowser/ \
-          | sed -rn 's/.*href="([0-9]+\.[0-9]+[.0-9]*)\/.*/\1/p' \
+          | sed -rn 's#.*href="([0-9]+\.[0-9]+[.0-9]*)/.*#\1#p' \
           | sort -Vr | head -n 1)